Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jm.jigl
Class ROI

    java.lang.Object
      |
      +--jm.jigl.ROI

public class ROI
extends java.lang.Object

The ROI class is the Region of Interest of a JIGL Signal

See Also:
  `SignalCanvas`, `jigl.image.ROI`

Constructor Summary
`ROI()` Creates a Region of Interest initialized to (0,0,0,0)
`ROI(int a, int b, int c, int d)` Creates a Region of Interest initialized to (a,b,c,d)

Method Summary
`int` | `lx()` Returns the lower x corner of the Region of Interest
`int` | `ly()` Returns the lower y corner of the Region of Interest
`void` | `setROI(int a, int b, int c, int d)` Sets the Region of Interest
`int` | `ux()` Returns the upper x corner of the Region of Interest
`int` | `uy()` Returns the upper y corner of the Region of Interest
`int` | `X()` Returns the width of the Region of Interest
`int` | `Y()` Returns the height of the Region of Interest

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ROI

    public ROI()

  Creates a Region of Interest initialized to (0,0,0,0)

### ROI

    public ROI(int a,
               int b,
               int c,
               int d)

  Creates a Region of Interest initialized to (a,b,c,d)

Parameters:
  `a` - upper x corner of the Region of Interest
  `b` - upper y corner of the Region of Interest
  `c` - lower x corner of the Region of Interest
  `d` - lower y corner of the Region of Interest

Method Detail

### uy

    public int uy()

  Returns the upper y corner of the Region of Interest

### ux

    public int ux()

  Returns the upper x corner of the Region of Interest

### ly

    public int ly()

  Returns the lower y corner of the Region of Interest

### lx

    public int lx()

  Returns the lower x corner of the Region of Interest

### X

    public int X()

  Returns the width of the Region of Interest

### Y

    public int Y()

  Returns the height of the Region of Interest

### setROI

    public void setROI(int a,
                       int b,
                       int c,
                       int d)

  Sets the Region of Interest

  Parameters:
    `a` - upper x corner of the Region of Interest
    `b` - upper y corner of the Region of Interest
    `c` - lower x corner of the Region of Interest
    `d` - lower y corner of the Region of Interest

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD